- replaced postconf and postalias call in initscript with newaliases
    (#156358)
- fixed initscripts messages (#155774)
- fixed build problems when sasl is disabled (#164773)
- fixed pre-definition of mailbox_transport lmtp socket path (#122910)
This commit is contained in:
Thomas Woerner 2005-11-11 14:06:11 +00:00
parent d6f68c7b84
commit 68fcedb248
3 changed files with 76 additions and 24 deletions

54
postfix-2.2.5-cyrus.patch Normal file
View File

@ -0,0 +1,54 @@
--- postfix-2.2.5/conf/main.cf.cyrus 2005-11-11 14:57:34.000000000 +0100
+++ postfix-2.2.5/conf/main.cf 2005-11-11 14:58:09.000000000 +0100
@@ -452,7 +452,29 @@
# the main.cf file, otherwise the SMTP server will reject mail for
# non-UNIX accounts with "User unknown in local recipient table".
#
-#mailbox_transport = lmtp:unix:/file/name
+#mailbox_transport = lmtp:unix:/var/lib/imap/socket/lmtp
+
+# If using the cyrus-imapd IMAP server deliver local mail to the IMAP
+# server using LMTP (Local Mail Transport Protocol), this is prefered
+# over the older cyrus deliver program by setting the
+# mailbox_transport as below:
+#
+# mailbox_transport = lmtp:unix:/var/lib/imap/socket/lmtp
+#
+# The efficiency of LMTP delivery for cyrus-imapd can be enhanced via
+# these settings.
+#
+# local_destination_recipient_limit = 300
+# local_destination_concurrency_limit = 5
+#
+# Of course you should adjust these settings as appropriate for the
+# capacity of the hardware you are using. The recipient limit setting
+# can be used to take advantage of the single instance message store
+# capability of Cyrus. The concurrency limit can be used to control
+# how many simultaneous LMTP sessions will be permitted to the Cyrus
+# message store.
+#
+# To use the old cyrus deliver program you have to set:
#mailbox_transport = cyrus
# The fallback_transport specifies the optional transport in master.cf
@@ -469,8 +491,7 @@
# the main.cf file, otherwise the SMTP server will reject mail for
# non-UNIX accounts with "User unknown in local recipient table".
#
-#fallback_transport = lmtp:unix:/file/name
-#fallback_transport = cyrus
+#fallback_transport = lmtp:unix:/var/lib/imap/socket/lmtp
#fallback_transport =
# The luser_relay parameter specifies an optional destination address
--- postfix-2.2.5/conf/master.cf.cyrus 2005-11-11 14:57:46.000000000 +0100
+++ postfix-2.2.5/conf/master.cf 2005-11-11 14:58:07.000000000 +0100
@@ -64,7 +64,7 @@
# Cyrus 2.1.5 (Amos Gouaux)
# Also specify in main.cf: cyrus_destination_recipient_limit=1
cyrus unix - n n - - pipe
- user=cyrus argv=/cyrus/bin/deliver -e -r ${sender} -m ${extension} ${user}
+ user=cyrus argv=/usr/lib/cyrus-imapd/deliver -e -r ${sender} -m ${extension} ${user}
#
# See the Postfix UUCP_README file for configuration details.
#

View File

@ -30,27 +30,13 @@
[ -d /var/spool/postfix ] || exit 0
RETVAL=0
prog="postfix"
start() {
# Start daemons.
echo -n $"Starting postfix: "
alias_database=$(postconf -h alias_database 2>/dev/null)
RETVAL=$?
if [ $RETVAL -ne 0 ]; then
failure $"determination of alias_database"
echo
return 0
fi
if [ -n "$alias_database" ]; then
/usr/sbin/postalias ${alias_database//,} 2>/dev/null
RETVAL=$?
if [ $RETVAL -ne 0 ]; then
failure $"postalias $alias_database"
echo
return 0
fi
fi
/usr/sbin/postfix start 2>/dev/null 1>&2 && success || failure $"postfix start"
/usr/bin/newaliases >/dev/null 2>&1
/usr/sbin/postfix start 2>/dev/null 1>&2 && success || failure $"$prog start"
RETVAL=$?
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/postfix
echo
@ -60,7 +46,7 @@ start() {
stop() {
# Stop daemons.
echo -n $"Shutting down postfix: "
/usr/sbin/postfix stop 2>/dev/null 1>&2 && success || failure $"postfix stop"
/usr/sbin/postfix stop 2>/dev/null 1>&2 && success || failure $"$prog stop"
RETVAL=$?
[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/postfix
echo
@ -69,24 +55,24 @@ stop() {
reload() {
echo -n $"Reloading postfix: "
/usr/sbin/postfix reload 2>/dev/null 1>&2 && success || failure $"postfix reload"
/usr/sbin/postfix reload 2>/dev/null 1>&2 && success || failure $"$prog reload"
RETVAL=$?
echo
return $RETVAL
}
abort() {
/usr/sbin/postfix abort 2>/dev/null 1>&2 && success || failure $"postfix abort"
/usr/sbin/postfix abort 2>/dev/null 1>&2 && success || failure $"$prog abort"
return $?
}
flush() {
/usr/sbin/postfix flush 2>/dev/null 1>&2 && success || failure $"postfix flush"
/usr/sbin/postfix flush 2>/dev/null 1>&2 && success || failure $"$prog flush"
return $?
}
check() {
/usr/sbin/postfix check 2>/dev/null 1>&2 && success || failure $"postfix check"
/usr/sbin/postfix check 2>/dev/null 1>&2 && success || failure $"$prog check"
return $?
}
@ -126,7 +112,7 @@ case "$1" in
[ -f /var/lock/subsys/postfix ] && restart || :
;;
*)
echo $"Usage: postfix {start|stop|restart|reload|abort|flush|check|status|condrestart}"
echo $"Usage: $0 {start|stop|restart|reload|abort|flush|check|status|condrestart}"
exit 1
esac

View File

@ -43,7 +43,7 @@
Name: postfix
Summary: Postfix Mail Transport Agent
Version: 2.2.5
Release: 2
Release: 2.1
Epoch: 2
Group: System Environment/Daemons
URL: http://www.postfix.org
@ -78,6 +78,7 @@ Patch4: postfix-hostname-fqdn.patch
Patch6: postfix-2.1.1-obsolete.patch
Patch7: postfix-2.1.5-aliases.patch
Patch8: postfix-large-fs.patch
Patch9: postfix-2.2.5-cyrus.patch
# Optional patches - set the appropriate environment variables to include
# them when building the package/spec file
@ -132,6 +133,7 @@ umask 022
%patch6 -p1 -b .obsolete
%patch7 -p1 -b .aliases
%patch8 -p1 -b .large-fs
%patch9 -p1 -b .cyrus
%if %{PFLOGSUMM}
gzip -dc %{SOURCE53} | tar xf -
@ -267,6 +269,7 @@ EOF
perl -i -pe 's:/cyrus/bin/deliver:/usr/lib/cyrus-imapd/deliver:' $RPM_BUILD_ROOT%{postfix_config_dir}/master.cf
cat $RPM_BUILD_ROOT%{postfix_config_dir}/postfix-files
%if %{SASL}
# Install the smtpd.conf file for SASL support.
# See README-Postfix-SASL-RedHat.txt for why we need to set saslauthd_version
# in the v1 version of smtpd.conf
@ -276,6 +279,7 @@ echo "saslauthd_version: 2" >> $RPM_BUILD_ROOT%{sasl_v1_lib_dir}/smtpd.conf
mkdir -p $RPM_BUILD_ROOT%{sasl_v2_lib_dir}
install -m 644 %{SOURCE100} $RPM_BUILD_ROOT%{sasl_v2_lib_dir}/smtpd.conf
%endif
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -m 644 %{SOURCE101} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/smtp.postfix
@ -374,8 +378,10 @@ exit 0
# Config files not part of upstream
%if %{SASL}
%config(noreplace) %{sasl_v1_lib_dir}/smtpd.conf
%config(noreplace) %{sasl_v2_lib_dir}/smtpd.conf
%endif
%config(noreplace) %{_sysconfdir}/pam.d/smtp.postfix
%attr(0755, root, root) %config /etc/rc.d/init.d/postfix
@ -461,6 +467,12 @@ exit 0
%changelog
* Fri Nov 11 2005 Thomas Woerner <twoerner@redhat.com> 2:2.2.5-2.1
- replaced postconf and postalias call in initscript with newaliases (#156358)
- fixed initscripts messages (#155774)
- fixed build problems when sasl is disabled (#164773)
- fixed pre-definition of mailbox_transport lmtp socket path (#122910)
* Thu Nov 10 2005 Tomas Mraz <tmraz@redhat.com> 2:2.2.5-2
- rebuilt against new openssl